﻿@model Tuple<PurchaseRequestView, CompanyView, List<string>, List<UDF_ARGNS>>
@{
    ViewBag.Title = "_PurchaseRequest";
    Layout = "~/Areas/Purchase/Views/Shared/_Layout.cshtml";

}
@{
    string selectBranch = "";
    string selectDepartment = "";
    string ReqType = "";
    bool _AddPO = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddPQ = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _PLMArea = ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PLM").FirstOrDefault() != null ? true : false;

}

@Styles.Render("~/Content/DataPicker")
@Scripts.Render("~/bundles/PurchaseRequest")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

@using (Html.BeginForm("ConfirmAction", "PurchaseRequest", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formPurchaseOrder" }))
{
    <!--///////// BLOKE 1/////////-->
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@PurchaseRequest.Requester</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-1 control-label">@PurchaseRequest.Type</label>
                        <div class="col-md-3">
                            @Html.DropDownListFor(c => ReqType, new SelectList(Model.Item1.ListReqType, "Code", "Name", Model.Item1.ReqType), new { @Id = "ReqType", @class = "form-control" })
                        </div>
                        <label class="col-md-1 control-label">@PurchaseRequest.Requester</label>
                        @Html.TextBoxFor(c => c.Item1.Requester, new { @Id = "txtRequesterCode", @class = "form-control", @type = "hidden" })
                        <div class="col-md-3">
                            @Html.TextBoxFor(c => c.Item1.ReqName, new { @Id = "txtRequesterName", @placeholder = @PurchaseRequest.Requester, @class = "form-control form_separator" })
                        </div>
                        <div class="col-md-2">
                            <button type="button" class="btn btn-success btn-ls" data-toggle="modal" data-target="#RequesterModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-1 control-label">@PurchaseRequest.Branch</label>
                        <div class="col-md-3">
                            @Html.DropDownListFor(c => selectBranch, new SelectList(Model.Item1.PurchaseRequestCombo.BranchList, "Code", "Name", Model.Item1.Branch), new { @Id = "selectBranch", @class = "form-control" })
                        </div>
                        <label class="col-md-1 control-label">@PurchaseRequest.Department</label>
                        <div class="col-md-3">
                            @Html.DropDownListFor(c => selectDepartment, new SelectList(Model.Item1.PurchaseRequestCombo.DepartmentList, "Code", "Name", Model.Item1.Department), new { @Id = "selectDepartment", @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@PurchaseOrders.Date</h3>
                </div>
                <div class="panel-body">
                    <div class="col-md-2">
                        <label class="control-label">@PurchaseOrders.PD</label>
                    </div>
                    <div class="col-md-4">
                        <div class="input-group date" id="DocDate">
                            @Html.TextBoxFor(c => c.Item1.DocDate, new { @Id = "DocDate", @placeholder = @PurchaseOrders.PD, @class = "form-control", @Value = ((Model.Item1.DocDate != null && Model.Item1.DocDate != DateTime.MinValue) ? Model.Item1.DocDate.ToString().AsDateTime().ToShortDateString() : "") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <label class="control-label">@PurchaseOrders.ValidUntil</label>
                    </div>
                    <div class="col-md-4">
                        <div class="input-group date" id="DocDueDate">
                            @Html.TextBoxFor(c => c.Item1.DocDueDate, new { @Id = "DocDueDate", @placeholder = @PurchaseOrders.ValidUntil, @class = "form-control", @Value = ((Model.Item1.DocDueDate != null && Model.Item1.DocDueDate != DateTime.MinValue) ? Model.Item1.DocDueDate.ToString().AsDateTime().ToShortDateString() : "") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                        <br />
                    </div>
                    <div class="col-md-2">
                        <label class="control-label">@PurchaseOrders.DocDate</label>
                    </div>
                    <div class="col-md-4">
                        <div class="input-group date" id="TaxDate">
                            @Html.TextBoxFor(c => c.Item1.TaxDate, new { @Id = "TaxDate", @placeholder = @PurchaseOrders.DocDate, @class = "form-control", @Value = ((Model.Item1.TaxDate != null && Model.Item1.TaxDate != DateTime.MinValue) ? Model.Item1.TaxDate.ToString().AsDateTime().ToShortDateString() : "") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <label class="control-label">@PurchaseOrders.ReqDate</label>
                    </div>
                    <div class="col-md-4">
                        <div class="input-group date" id="ReqDate">
                            @Html.TextBoxFor(c => c.Item1.ReqDate, new { @Id = "ReqDate", @placeholder = @PurchaseOrders.ReqDate, @class = "form-control", @Value = ((Model.Item1.ReqDate != null && Model.Item1.ReqDate != DateTime.MinValue) ? Model.Item1.ReqDate.ToString().AsDateTime().ToShortDateString() : "") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @if (Model.Item1.MappedUdf.Count > 0)
        {
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="panel panel-default" id="accordionUDF">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionUDF" href="#collapseUDF">
                                UDF
                                <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                            </a>
                        </h4>
                    </div>
                    <div id="collapseUDF" class="panel-collapse collapse" style="height: auto;">
                        <div class="panel-body">
                            @{
            foreach (var DictRow in Model.Item1.MappedUdf)
            {
                if (DictRow.ListUFD1.Count > 0)
                {
                    <div class="row">
                        <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                        <div class="col-md-10">
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                     DictRow.ListUFD1,
                                                        "FldValue",
                                                        "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                        </div>
                    </div>
                }
                else
                {
                    <div class="row">
                        <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                        <div class="col-md-10">
                            @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                        </div>
                    </div>
                }
            }
                            }
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>

    <!--///////// BLOKE 2 /////////-->

    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@PurchaseOrders.Information</h3>
        </div>
        <!--bloke search-->
        <div class="panel-body">
            <div class="row">
                <div class="col-md-12">
                   
                        <button type="button" id="btnNewList" class="btn btn-success btn-ls" data-toggle="modal" data-target="#myModal" onclick="GetItemsModel()"><span class="glyphicon glyphicon-plus"></span> @PurchaseOrders.New @PurchaseOrders.ByList</button>
                        <button type="button" id="btnNewGrid" class="btn btn-success btn-ls" data-toggle="modal" data-target="#myModalGrid"><span class="glyphicon glyphicon-folder-open"></span>  @PurchaseOrders.New @PurchaseOrders.ByGrid</button>
                    
                    @if(_PLMArea)
                    { 
                        <button class="btn btn-success btn-ls " type="button" id="btnMatrix" data-toggle="modal" onclick="fut_modal_body($('.modal'))" data-target="#myModalModel"><span class="glyphicon glyphicon-search"></span>@Shared.Styles</button>
                    }
                </div>
                @if (Model.Item2.UseHandheld)
                {
                    <div class="col-md-2">
                        @Html.TextBox("HandHeldField", "", new { @placeholder = @PurchaseOrders.HHEF, @class = "form-control" })
                    </div>
                }
            </div>
           
            </div>
         <div class="divider"></div>

        <!--Document Line-->
        <div class="panel-body">
            <!--campos filtro-->
            <div class="alert alert-danger" id="alertRates" role="alert">
                @PurchaseOrders.RatesError
            </div>
            <div class="">
                <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                    @Html.Partial("_ItemsForm", Tuple.Create(Model.Item1.Lines, Model.Item1.PurchaseRequestCombo, new UsersSettingView(), new DateTime?()))
                </div>
            </div>
            <div class="alert alert-danger" id="alertItems" role="alert">
                <strong>Oh!</strong> No Items in the list.
            </div>


            <!--datos de tabla-->
            <div class="panel-body well">
                <div class="col-md-6 col-sm-6 pull-right ">
                    <div class="panel-body">
                        <div class="form-group">
                            <label class="col-md-6 control-label">
                                @PurchaseOrders.TBD
                            </label>
                            <div class="col-md-6">
                                <input type="text" disabled="disabled" value="0" id="TotalDoc" name="regular" class="form-control">
                            </div>
                        </div>
                        <div class="form-group" @(Model.Item1.SAPDocSettings.EnblExpns == "Y" ? "" : "style = display:none")>
                            <label class="col-md-6 control-label">@PurchaseInvoices.Freight</label>
                            <div class="col-md-6">
                                <input type="text" value="@(Model.Item1.TotalExpns != null ? Model.Item1.TotalExpns.Value.ToString("F2", CultureInfo.InvariantCulture) : "0.00")" id="TotalExpns" name="TotalExpns" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.Tax</label>
                            <div class="col-md-6">
                                <input class="form-control" id="TotalTax" value="0" type="text" placeholder="@PurchaseOrders.Tax">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.TPD</label>
                            <div class="col-md-6">
                                <input type="text" id="TotalDocPD" name="disabled" disabled="disabled" value="0" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <!--///////// close BLOKE/////////-->
    <!--///////// BLOKE 3 /////////-->


    <div class="">
        <div class="panel panel-default" id="bloke_info">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionblock" href="#accordionblock">
                        @PurchaseOrders.General
                        <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                    </a>
                </h4>
            </div>
            <div id="accordionblock" class="panel-collapse collapse" style="height: auto;">
                <div class="panel-body">

                        <div class="col-md-6 col-sm-6 col-xs-12">

                                    <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseOrders.Confirmed</label>
                                    <div class="col-md-9">
                                    @Html.TextBoxFor(c => c.Item1.DescConfirmed, new { @Id = "Confirmed", @Name = "Confirmed", @placeholder = @PurchaseOrders.Confirmed, @class = "form-control", @disabled = "disabled" })
                                    </div>
                                    </div>
                                    <br />
                                    <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseOrders.Remarks</label>
                                    <div class="col-md-9">
                                    @Html.TextAreaFor(c => c.Item1.Comments, new { @Id = "Comments", @Name = "Comments", @placeholder = @PurchaseOrders.Remarks, @class = "form-control remarksDocuments" })
                                    </div>
                                    </div>

                        </div>

                </div>
            </div>
        </div>
    </div>

    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>@PurchaseRequest.TPRWUS</strong>
    </div>
    <div class="but_blok_footer">
        <div class="col-md-12">
            @if (@ViewBag.FormMode != "Add" && (_AddPQ || _AddPO))
            {
                <div class="btn-group dropup pull-right" style=" margin-left:3px">
                    <button type="button" class="btn btn-success btn-lg dropdown-toggle" data-toggle="dropdown" aria-expanded="false">@PurchaseRequest.CT <span class="caret"></span></button>
                    <ul class="dropdown-menu" role="menu">
                        @if (_AddPO)
                        {
                            <li><a href="@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "CopyFromPR", @IdPO = @Model.Item1.DocEntry, @fromController = "PurchaseRequest" })">@PurchaseOrders.PO</a></li>
                        }
                        @if (_AddPQ)
                        {
                            <li><a href="@Url.Action("ActionPurchaseOrder", "PurchaseQuotation", new { @ActionPurchaseOrder = "CopyFromPR", @IdPO = @Model.Item1.DocEntry, @fromController = "PurchaseRequest" })">@PurchaseQuotation.PQ</a></li>
                        }
                    </ul>
                </div>
            }
            <a id="btnOk" class="btn btn-lg btn-success pull-right" style="margin-left:3px">Ok</a>
            @{
    string controllerName = ViewBag.controllerName;
    @Html.ActionLink(@PurchaseOrders.Cancel, "Index", controllerName, null, new { @class = "btn btn-lg btn-default pull-right" })
            }
            @if (Model.Item3.Count > 0)
            {
                @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item3));
            }
        </div>
    </div>
    <!--///////// close BLOKE/////////-->

    @*Modal Items List*@
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel"> @PurchaseOrders.Search </h4>
                </div>
                <div class="">

                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Code", null, new { @Id = "UDF_Code", @Name = "Code", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Name", null, new { @Id = "UDF_Name", @Name = "Name", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        @if (Model.Item4.Count > 0)
                        {
                            <div class="col-md-8 limitador_udf">
                            @{
                                foreach (UDF_ARGNS DictRow in Model.Item4)
                                {
                                    if (DictRow.ListUFD1.Count > 0)
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                <select class="form-control" id="SearchItemUDF_@DictRow.UDFName" name="@DictRow.UDFName">
                                                    <option value="">Select @DictRow.UDFDesc</option>
                                                    @{
                                                        foreach (UFD1_SAP item in DictRow.ListUFD1)
                                                        {
                                                            <option value="@item.FldValue">@item.Descr</option>
                                                        }
                                                    }
                                                </select>
                                            </div>
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "SearchItemUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                            </div>
                                        </div>
                                    }
                                }
                            }
                            </div>
                        }

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchItems" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                        </div>

                    </div>


                    <div class="panel-body udf_box_limitado" id="ModalItemsTable">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                    <button type="button" id="btnChoose" class="btn btn-primary">@PurchaseOrders.Choose</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Items Grid*@
    <div class="modal fade" id="myModalGrid" tabindex="-1" role="dialog" aria-labelledby="myModalGridLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalGridLabel"> @PurchaseOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Code", null, new { @Id = "UDFGrid_Code", @Name = "Code", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Name", null, new { @Id = "UDFGrid_Name", @Name = "Name", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        @if (Model.Item4.Count > 0)
                        {
                            <div class="col-md-8 limitador_udf">
                            @{
                                foreach (UDF_ARGNS DictRow in Model.Item4)
                                {
                                    if (DictRow.ListUFD1.Count > 0)
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                <select class="form-control" id="SearchItemGridUDF_@DictRow.UDFName" name="@DictRow.UDFName">
                                                    <option value="">Select @DictRow.UDFDesc</option>
                                                    @{
                                                        foreach (UFD1_SAP item in DictRow.ListUFD1)
                                                        {
                                                            <option value="@item.FldValue">@item.Descr</option>
                                                        }
                                                    }
                                                </select>
                                            </div>
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "SearchItemGridUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                            </div>
                                        </div>
                                    }
                                }
                            }
                            </div>
                        }

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchItemsGrid" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado">
                        <!--tabla-->
                        <div class="table-responsive">
                            <div id="LoadGrid" style=" text-align :center ">
                                <img src="~/Content/img/Load.gif" />
                            </div>
                            <div id="ModalGridBody">
                                @*@Html.Partial("_ItemsGrid", Model.Item1.ListItem)*@
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                    <button type="button" id="btnChooseGrid" class="btn btn-primary">@PurchaseOrders.Choose</button>
                </div>
            </div>
        </div>
    </div>
    
    @*Modal Requester*@
    <div class="modal fade" id="RequesterModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelRequesterModal">@PurchaseOrders.Search @PurchaseRequest.Requester</h4>
                </div>
                <div class="">

                    <div class="bs-example">
                        <div class="blok_pop_vendor">
                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckCodeRequester" value="option1" checked=""> @PurchaseOrders.BC
                            </label>
                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckNameRequester" value="option1" checked=""> @PurchaseOrders.BN
                            </label>
                        </div>

                        <div class="col-md-4">
                            <input type="text" name="regular" id="txtSearchRequester" class="form-control" placeholder="@PurchaseOrders.Search">
                        </div>

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchRequester" onclick="fut_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                        </div>

                    </div>


                    <div class="panel-body">
                        <!--tabla-->
                        <div class="table-responsive">
                            <div id="LoadRequester" style=" text-align :center ">
                                <img src="~/Content/img/Load.gif" />
                            </div>
                            <div id="ModalBodyRequester">
                                @Html.Partial("_Requesters", new List<String>())
                            </div>
                        </div>

                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @Html.HiddenFor(c => c.Item1.DocEntry, new { @id = "DocEntry" })
    @Html.HiddenFor(c => c.Item1.DocNum, new { @id = "DocNum" })
    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />

    @Html.Partial("_ModelMatrix", Model.Item1.ModelList)
    <div id="MatrixDetail">
        @Html.Partial("_ModelMatrixDetail", Model.Item1.MatrixModel)
    </div>
}





